package zones

// SyncAll updates all config files
func (m *Zones) SyncAll() error {
	for _, fn := range []func() error{
		m.SyncAllWireguard,
	} {
		if err := fn(); err != nil {
			return err
		}
	}

	return nil
}

// SyncAllWireguard updates all wireguard config files
func (m *Zones) SyncAllWireguard() error {
	var err error

	for ring := 0; ring < RingsCount; ring++ {
		err = m.PruneWireguardConfig(ring)
		if err != nil {
			return err
		}

		err = m.WriteWireguardKeys(ring)
		if err != nil {
			return err
		}
	}

	return nil
}
